API Overview

LLMoxy provides a fully compatible Anthropic Messages API interface. Just change the Base URL and use the official SDK seamlessly.

Base URL

https://llmoxy.com/v1

TIP Tools like Claude Code use the address without /v1, i.e. https://llmoxy.com. SDK calls include /v1.

Authentication

Method 1: x-api-key (recommended)

x-api-key: YOUR_API_KEY
HTTP

Method 2: Authorization

Authorization: Bearer YOUR_API_KEY
HTTP

Quick Start

Python

from anthropic import Anthropic

client = Anthropic(
api_key="YOUR_API_KEY",
base_url="https://llmoxy.com/v1"
)

message = client.messages.create(
model="claude-opus-5-5",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello!"}
]
)

print(message.content[0].text)
PYTHON

Node.js

import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://llmoxy.com/v1'
});

const message = await client.messages.create({
model: 'claude-opus-5-5',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello!' }
]
});

console.log(message.content[0].text);
JS

OpenAI Compatible (Chat Completions)

curl

curl https://llmoxy.com/v1/chat/completions \
  -H "Authorization: Bearer <LLMOXY_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "grok-4.7",
    "messages": [
      { "role": "user", "content": "Say hello in one short sentence." }
    ]
  }'
BASH

TypeScript

import OpenAI from "openai";

const client = new OpenAI({
  apiKey: process.env.LLMOXY_API_KEY,
  baseURL: "https://llmoxy.com/v1",
});

const response = await client.chat.completions.create({
  model: "grok-4.7",
  messages: [{ role: "user", content: "Write a haiku about routers." }],
});

console.log(response.choices[0]?.message?.content);
TS

Python

from openai import OpenAI

client = OpenAI(
    api_key="<LLMOXY_API_KEY>",
    base_url="https://llmoxy.com/v1",
)

response = client.chat.completions.create(
    model="grok-4.7",
    messages=[{"role": "user", "content": "Write a haiku about routers."}],
)

print(response.choices[0].message.content)
PY

Streaming Output

Set stream: true in Chat or Responses requests, and LLMoxy returns an OpenAI-compatible SSE stream.

curl https://llmoxy.com/v1/chat/completions \
  -H "Authorization: Bearer <LLMOXY_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "grok-4.7",
    "stream": true,
    "messages": [
      { "role": "user", "content": "Count from one to five." }
    ]
  }'
BASH

Supported Models

Claude Series (available groups: Claude)

ModelDescription
claude-fable-5-2Best performance
claude-opus-5-5Balanced choice

Gemini Series (available group: Gemini)

ModelDescription
gemini-4-argonBest performance
gemini-3.8-flashFast response

Latest Model List See the official model hub for currently available models.

Billing

Billed by actual token usage (including cache write and cache read). Prices vary by model. See Groups and Pricing for details.

Next Steps